commit:     3c104adaf1728cd515d99249740502728d1fc173
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Tue Oct 18 18:10:25 2016 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Tue Oct 18 18:10:25 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3c104ada

www-client/vivaldi: Version bump.

Package-Manager: portage-2.3.2

 www-client/vivaldi/Manifest                    |   2 +
 www-client/vivaldi/vivaldi-1.5.638.3_p1.ebuild | 109 +++++++++++++++++++++++++
 2 files changed, 111 insertions(+)

diff --git a/www-client/vivaldi/Manifest b/www-client/vivaldi/Manifest
index ba98ee2..bb83d1a 100644
--- a/www-client/vivaldi/Manifest
+++ b/www-client/vivaldi/Manifest
@@ -6,3 +6,5 @@ DIST vivaldi-1.5.627.3_p1-amd64.deb 46911146 SHA256 
2b2bb8a33e84c96a4eb695750639
 DIST vivaldi-1.5.627.3_p1-i386.deb 48574522 SHA256 
221162ca6da7451004338240e2c647e6bc9cb4521aa8abaa1cf9edd566083293 SHA512 
57b5c4a3a53a7e4099007d082c4d4689a3274dd7f7bd2ccb1ad6635c01d9287df8c9091ef1d306686b15f710cf964f109e7d272a90cfb046c823cc7dd8048708
 WHIRLPOOL 
90119c9c1fa8292d05f4f1bc1d9b61879c7e0497c6111d63b690ed4f1d071301f7e8724d6d3d1b1f5c99b2c65da7e2e40218a4b983fdb9ccdfd996dcef02ec25
 DIST vivaldi-1.5.633.16_p1-amd64.deb 46849638 SHA256 
7d6a7fd15db609281f67c5188d765cd2eb225dbf7a7fcdeb7349030b21082fe6 SHA512 
eda1be6a2d41f91f0d14061eff6d0167b6b9645ae22fea35d55bc65745b6a816f33936c5a077a7001cf4b8fb4ff4f488ad0fee9a8d7053f76ba3f86d053f4cf4
 WHIRLPOOL 
d171c56178a6dedb9f53e534c33cd5ace0006a7f56c1c06e90d6ee758466f7c22082332704e7ea883f8d740f2c6e74ca1aa4235eedee51c8baca897957351f8d
 DIST vivaldi-1.5.633.16_p1-i386.deb 48471168 SHA256 
40ffd38faabb0b79a4caf2b8411a6d3307597e667b48852dc85d707bff19b981 SHA512 
c1c2b475c201144c90bac6bdb92127737b1ea31f9b92ac3564697dbb321320af9e53ead06b29b94ecfdf587e267a64e7b6bedaa5aac048a498e90aab8d137039
 WHIRLPOOL 
7d832a0b5ed986923e96841a5a547dfdd026d9d84b80afbdc849a435e03d3566508c7fd8ca5d52079ca3a7b7916bd64c897241af3a0c6e8873b4c09a47174bb7
+DIST vivaldi-1.5.638.3_p1-amd64.deb 47964136 SHA256 
867d4ab4d6168f869820ef96a5b660fcc7330bcb5cb9982d929bdd075c9b36a7 SHA512 
c4f87e1fe5fd0c7b34308410cfd415fd759df3242ff23f4a3c6189e8019970f4e09a56ef60af3713c73c4b5ef372329a7555d14e92b2245f9683aacd785111da
 WHIRLPOOL 
f4eba0beb2ab13f1afee194d433efac15760a62f5d8edb27279037c40d1ceb90b3f1097d0963923300c3e5c520671165f7a8ed2133e3cf91a9ea48c064ccdef8
+DIST vivaldi-1.5.638.3_p1-i386.deb 48246804 SHA256 
ee9ac8261a18538038396c1c3ee474bd1cd686f8026f87e1b59c8cb4167216e5 SHA512 
77bedac6ee9f095a49f239e09117cd595c70f1acd62a7f8d5d0d0f5d4f2322292a745a90046868f72a1f8481ff108bce1e5450e8a68461b145e2b72692be0c24
 WHIRLPOOL 
5b86f30ddba4bda71003c97375e9a3647dae82ef49af8d3f722194f2520c40d8357e9df63f0cfe57b830a5e193783ea3d1d3d08eb66d7080fca8cb6d265835f9

diff --git a/www-client/vivaldi/vivaldi-1.5.638.3_p1.ebuild 
b/www-client/vivaldi/vivaldi-1.5.638.3_p1.ebuild
new file mode 100644
index 00000000..19616d9
--- /dev/null
+++ b/www-client/vivaldi/vivaldi-1.5.638.3_p1.ebuild
@@ -0,0 +1,109 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+CHROMIUM_LANGS="
+       am ar bg bn ca cs da de el en-GB en-US es es-419 et fa fi fil fr gu he 
hi
+       hr hu id it ja kn ko lt lv ml mr ms nb nl pl pt-BR pt-PT ro ru sk sl sr 
sv
+       sw ta te th tr uk vi zh-CN zh-TW
+"
+inherit chromium-2 eutils multilib unpacker toolchain-funcs
+
+VIVALDI_BRANCH="snapshot"
+
+VIVALDI_PN="${PN}-${VIVALDI_BRANCH:-stable}"
+VIVALDI_BIN="${PN}${VIVALDI_BRANCH/snapshot/-snapshot}"
+VIVALDI_HOME="opt/${VIVALDI_BIN}"
+DESCRIPTION="A new browser for our friends"
+HOMEPAGE="http://vivaldi.com/";
+VIVALDI_BASE_URI="https://downloads.vivaldi.com/${VIVALDI_BRANCH:-stable}/${VIVALDI_PN}_${PV/_p/-}_";
+SRC_URI="
+       amd64? ( ${VIVALDI_BASE_URI}amd64.deb -> ${P}-amd64.deb )
+       x86? ( ${VIVALDI_BASE_URI}i386.deb -> ${P}-i386.deb )
+"
+
+LICENSE="Vivaldi"
+SLOT="0"
+KEYWORDS="-* ~amd64 ~x86"
+
+RESTRICT="bindist mirror"
+
+S=${WORKDIR}
+
+RDEPEND="
+       dev-libs/expat
+       dev-libs/glib:2
+       dev-libs/nspr
+       dev-libs/nss
+       >=dev-libs/openssl-1.0.1:0
+       gnome-base/gconf:2
+       media-libs/alsa-lib
+       media-libs/fontconfig
+       media-libs/freetype
+       net-misc/curl
+       net-print/cups
+       sys-apps/dbus
+       sys-libs/libcap
+       x11-libs/cairo
+       x11-libs/gdk-pixbuf
+       x11-libs/gtk+:2
+       x11-libs/libX11
+       x11-libs/libXScrnSaver
+       x11-libs/libXcomposite
+       x11-libs/libXcursor
+       x11-libs/libXdamage
+       x11-libs/libXext
+       x11-libs/libXfixes
+       x11-libs/libXi
+       x11-libs/libXrandr
+       x11-libs/libXrender
+       x11-libs/libXtst
+       x11-libs/pango[X]
+"
+
+QA_PREBUILT="*"
+S=${WORKDIR}
+
+src_unpack() {
+       unpack_deb ${A}
+}
+
+src_prepare() {
+       sed -i \
+               -e "s|${VIVALDI_BIN}|${PN}|g" \
+               usr/share/applications/${VIVALDI_PN}.desktop \
+               usr/share/xfce4/helpers/${VIVALDI_BIN}.desktop || die
+
+       mv usr/share/doc/${VIVALDI_PN} usr/share/doc/${PF} || die
+       chmod 0755 usr/share/doc/${PF} || die
+
+       rm \
+               _gpgbuilder \
+               etc/cron.daily/${VIVALDI_BIN} \
+               || die
+       rmdir \
+               etc/cron.daily/ \
+               etc/ \
+               || die
+
+       local c d
+       for d in 16 22 24 32 48 64 128 256; do
+               mkdir -p usr/share/icons/hicolor/${d}x${d}/apps || die
+               cp \
+                       ${VIVALDI_HOME}/product_logo_${d}.png \
+                       usr/share/icons/hicolor/${d}x${d}/apps/vivaldi.png || 
die
+       done
+
+       pushd "${VIVALDI_HOME}/locales" > /dev/null || die
+       chromium_remove_language_paks
+       popd > /dev/null || die
+
+}
+
+src_install() {
+       mv * "${D}" || die
+       dosym /${VIVALDI_HOME}/${PN} /usr/bin/${PN}
+
+       fperms 4711 /${VIVALDI_HOME}/${PN}-sandbox
+}

Reply via email to